#! /usr/bin/make -f
## bootstrap.mk - Bootstrapping POP3Lite
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of POP3Lite.
##
## POP3Lite is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## POP3Lite is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: bootstrap.mk,v 1.5 2000/12/14 13:40:27 algernon Exp $

automake		= automake
autoconf		= autoconf
aclocal			= aclocal
autoheader		= autoheader
libtoolize		= libtoolize
libtool			= libtool

P3L_autoconf_VERSION	= autoconf-2.13
P3L_automake_VERSION	= automake-1.4
P3L_libtool_VERSION	= libtool-1.3.5
P3L_aclocal_VERSION	= $(P3L_automake_VERSION)
P3L_autoheader_VERSION	= $(P3L_autoheder_VERSION)
P3L_libtoolize_VERSION	= $(P3L_libtool_VERSION)
P3L_aclocal_OPTIONS	= -I macros
P3L_libtoolize_OPTIONS	= --force --copy
P3L_automake_OPTIONS	= --add-missing --gnu

all: bootstrap

check-autoconf check-aclocal check-automake check-libtool \
check-libtoolize check-autoheader: check-%:
	@($($*) --version) < /dev/null >/dev/null 2>&1 || if test 1 = 1; then \
		echo "**Error**: You must have $* installed to compile POP3Lite."; \
		echo "Download the appropriate package for your distribution,"; \
		echo "or get the source tarball from"; \
		echo "ftp://ftp.gnu.org/pub/gnu/$(P3L_$*_VERSION).tar.gz"; \
		exit 1; \
	fi

bootstrap: bootstrap-libtoolize bootstrap-aclocal bootstrap-autoheader \
	   bootstrap-automake bootstrap-autoconf bootstrap-ltdl

bootstrap-libtoolize bootstrap-aclocal bootstrap-autoheader \
bootstrap-automake bootstrap-autoconf: bootstrap-%: check-%
	$($*) $(P3L_$*_OPTIONS)

bootstrap-ltdl: check-autoconf check-automake check-aclocal check-autoheader
	cd libltdl && $(aclocal)
	cd libltdl && $(autoheader)
	cd libltdl && $(automake) $(P3L_automake_OPTIONS)
	cd libltdl && $(autoconf) $(P3L_autoconf_OPTIONS)

aclocal.m4: configure.in
	$(aclocal) $(P3L_aclocal_OPTIONS)

config.h.in: aclocal.m4 configure.in
	$(autoheader) ($P3L_autoheader_OPTIONS)

Makefile.in: configure.in Makefile.am
	$(automake) $(P3L_automake_OPTIONS)

ltmain.sh: Makefile.am configure.am
	$(libtoolize) $(P3L_libtoolize_OPTIONS)

configure: aclocal.m4 configure.in
	$(autoconf) $(P3L_autoconf_OPTIONS)

.DEFAULT:
	@echo '*** Error: target not supported: $@'

.PHONY: check-autoconf check-aclocal check-automake check-libtool \
	check-libtoolize check-autoheader boostrap boostrap-libtoolize \
	bootstrap-aclocal bootstrap-autoheader bootstrap-automake \
	bootstrap-autoconf bootstrap-ltdl
