%define name pop3lite
%define version 0.1.2.1
%define release 1

Summary: pop3lite - 3lite POP3 server
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.sourceforge.net/pub/pop3lite/%{name}-%{version}.tar.gz
BuildRoot: /tmp/root-%{name}-%{version}-%{release}
URL: ftp://ftp.sourceforge.net/pub/pop3lite/
Copyright: GPL
Group: System Environment/Daemons

%package dev
Group: System Environment/Daemons
Requires: pop3lite = %{version}
Copyright: GPL
Summary: Development header files for POP3Lite.

%package mod-misc
Group: System Environment/Daemons
Requires: pop3lite = %{version}
Copyright: GPL
Summary: Miscellaneous modules for POP3Lite

%package mod-sqlconf
Group: System Environment/Daemons
Requires: pop3lite = %{version}
Copyright: GPL
Summary: SQLConf module for POP3Lite

%description
The POP3Lite POP3 server was designed to be as
flexible as possible. To accomplish this goal,
almost every part of the base server can be
replaced or extended.

PAM and Mailbox support are compiled into the
base server, just as the connection logging
module. For other modules, see the pop3lite-mod-misc
and pop3lite-mod-sqlconf packages.

%description dev
This package contains the header files required to compile
POP3Lite modules.

The Hacker's Guide is inculded too in this package.

%description mod-misc
This package includes the APOP module, which is an
alternative authentication method; the HomeBox module,
which makes it possible to put the mailboxes into the
home directories of the users; and a few other modules,
which provide IP-less virtual hosting, user-name aliasing,
and per-user configuration, and many more...

%description mod-sqlconf
With this module, you can enable POP3Lite to read most
of its configuration from an SQL table.

%prep
mkdir -p $RPM_BUILD_ROOT

%setup 
rm -f config.cache
./configure --with-layout=redhat \
	    --disable-static --disable-debugging \
	    --with-builtin-modules=pam,mailbox,connectlog

%build
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.so' | xargs strip --strip-unneeded \
						--remove-section=.comment \
						--remove-section=.note
strip --remove-section=.comment --remove-section=.note \
      $RPM_BUILD_ROOT/usr/sbin/pop3lite

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/info/pop3lite-admin.info*
/usr/man/man5/pop3lite.conf.5*
/usr/man/man8/pop3lite.8*
/usr/sbin/pop3lite
/usr/doc/%{name}/AUTHORS
/usr/doc/%{name}/BUGS
/usr/doc/%{name}/COPYING
/usr/doc/%{name}/COPYING.DOC
/usr/doc/%{name}/ChangeLog
/usr/doc/%{name}/MACHINES
/usr/doc/%{name}/NEWS
/usr/doc/%{name}/README
/usr/doc/%{name}/THANKS
/usr/doc/%{name}/TODO
/usr/doc/%{name}/modules/CONNECTLOG
/usr/doc/%{name}/modules/MAILBOX
/usr/doc/%{name}/modules/PAM

%files dev
/usr/include/pop3lite.h
/usr/include/pop3lite/*
/usr/info/pop3lite-hacker.info*

%files mod-misc
/usr/doc/%{name}/modules/ALIAS
/usr/doc/%{name}/modules/APOP
/usr/doc/%{name}/modules/CAPA
/usr/doc/%{name}/modules/DISABLE
/usr/doc/%{name}/modules/EXPIRE
/usr/doc/%{name}/modules/FILELOG
/usr/doc/%{name}/modules/HOMEBOX
/usr/doc/%{name}/modules/SABOTAGE
/usr/doc/%{name}/modules/USERCONF
/usr/doc/%{name}/modules/VHOST
/usr/lib/pop3lite/alias.so
/usr/lib/pop3lite/alias.la
/usr/lib/pop3lite/apop.so
/usr/lib/pop3lite/apop.la
/usr/lib/pop3lite/capa.so
/usr/lib/pop3lite/capa.la
/usr/lib/pop3lite/disable.so
/usr/lib/pop3lite/disable.la
/usr/lib/pop3lite/expire.so
/usr/lib/pop3lite/expire.la
/usr/lib/pop3lite/filelog.so
/usr/lib/pop3lite/filelog.la
/usr/lib/pop3lite/homebox.so
/usr/lib/pop3lite/homebox.la
/usr/lib/pop3lite/sabotage.so
/usr/lib/pop3lite/sabotage.la
/usr/lib/pop3lite/userconf.so
/usr/lib/pop3lite/userconf.la
/usr/lib/pop3lite/vhost.so
/usr/lib/pop3lite/vhost.la

%files mod-sqlconf
/usr/doc/%{name}/modules/SQLCONF
/usr/lib/pop3lite/sqlconf.so
/usr/lib/pop3lite/sqlconf.la
