/*
 * POP3Lite - 3lite POP3 Server
 * Copyright (C) 2000 The MadHouse Project
 *
 * This file is part of POP3Lite.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3Lite is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * This file generates an MD5 digest suitable for passing
 * to apop.
 */

#include <md5.h>
#include <pop3lite.h>

static const char rcsid[]="$Id: apop-gen.c,v 1.1 2000/10/31 22:14:59 algernon Exp $";

int
main ( int argc, char **argv )
{
	struct md5_ctx context;
	char md5[16];

	if ( argc != 3 )
	{
		printf ( "apop-gen (POP3Lite) (C) 2000 The MadHouse Project\n\n" );
		printf ( "Usage:\n" );
		printf ( "	apop-gen [banner] [secret]\n\n" );
		printf ( "Bug reports go to <8@free.bsd.hu>\n" );
		exit ( 1 );
	}

	__md5_init_ctx ( &context );
	__md5_process_bytes ( argv[1], strlen ( argv[1] ), &context );
	__md5_process_bytes ( argv[2], strlen ( argv[2] ), &context );
	__md5_finish_ctx ( &context, md5 );

	printf ( "%s\n", bintohex ( md5, 16, 1 ) );

	return 0;
}
